Page MenuHomePhabricator

[ifs] Added missing DT_STRSZ to the .dynamic section
ClosedPublic

Authored by haowei on Jan 11 2022, 2:56 PM.

Details

Summary

This patch adds DT_STRSZ into the dynamic section, which was absent previously. This was a bug and caused failures in other tools.

Diff Detail

Event Timeline

haowei created this revision.Jan 11 2022, 2:56 PM
haowei requested review of this revision.Jan 11 2022, 2:56 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 11 2022, 2:56 PM
This revision is now accepted and ready to land.Jan 11 2022, 5:20 PM
phosek accepted this revision.Jan 11 2022, 8:22 PM

LGTM

jhenderson accepted this revision.Jan 12 2022, 1:48 AM

LGTM too.

This revision was landed with ongoing or failed builds.Feb 13 2022, 9:06 PM
This revision was automatically updated to reflect the committed changes.